> For the complete documentation index, see [llms.txt](https://carpool.gitbook.io/carpool/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://carpool.gitbook.io/carpool/api-reference/instructions/get_instruction.md).

# GET\_INSTRUCTION

## Overview

*This method will return data relative to a specific instruction within a parent transaction. Running with only required body params will return all fields in the response body. Feel free to make use of all non-required body params for more advanced queries. Refer to the Body "Schema" tab for help.*

{% openapi src="/files/LO5PxjFAE84MiYj7lolU" path="/query/solana" method="post" %}
[Carpool\_dev-GET\_INSTRUCTION-0.1-resolved (1).json](https://2513171703-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FE1gzfwcjB542lI2VR9XI%2Fuploads%2FJki022IhRyN9nls5uSaO%2FCarpool_dev-GET_INSTRUCTION-0.1-resolved%20\(1\).json?alt=media\&token=a8675cf7-d415-4b5f-8363-ce7415f502b9)
{% endopenapi %}

## Example

**Program** - *Cypher Protocol*

**Description** *- get the instruction at the 2nd index of parent tx hash:* LqNe...EdNY

#### Javascript

```javascript
var myHeaders = new Headers();
myHeaders.append("x-api-key", "<API_KEY>");
myHeaders.append("Content-Type", "application/json");

var raw = JSON.stringify({
  "type": "GET_INSTRUCTION",
  "query": {
    "programId": "CYPH3o83JX6jY6NkbproSpdmQ5VWJtxjfJ5P8veyYVu3",
    "instructionName": "createAccount",
    "txSignature": "LqNexVeScmESKzQaNrzAFdkUFxzdYzPBQewABYeCCUQu7GCjxkKkHgx7ruFcPDLifK4f3GGH1QXvUGu29UkEdNY",
    "txIndex": 2
  }
});

var requestOptions = {
  method: 'POST',
  headers: myHeaders,
  body: raw,
  redirect: 'follow'
};

fetch("https://mainnet.carpool.dev/query/solana", requestOptions)
  .then(response => response.text())
  .then(result => console.log(result))
  .catch(error => console.log('error', error));
```

#### cURL

```
curl --location 'https://mainnet.carpool.dev/query/solana' \
--header 'x-api-key: <API_KEY>' \
--header 'Content-Type: application/json' \
--data '{
    "type": "GET_INSTRUCTION",
    "query": {
        "programId": "CYPH3o83JX6jY6NkbproSpdmQ5VWJtxjfJ5P8veyYVu3",
        "instructionName": "createAccount",
        "txSignature": "LqNexVeScmESKzQaNrzAFdkUFxzdYzPBQewABYeCCUQu7GCjxkKkHgx7ruFcPDLifK4f3GGH1QXvUGu29UkEdNY",
        "txIndex": 2
    }
}'
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://carpool.gitbook.io/carpool/api-reference/instructions/get_instruction.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
